<?php

namespace Types;

class MitgliedBuchungTyp {
  
  

    // --- Statische Eigenschaften ---
  
  static private $values ;
  static private $valuesShort ;

    // --- Statische Methoden ---
  
  public static function ensureIsLoaded() { 
    
    
    // --- BLOCK: main ---
    
  // Can be called to ensure class is loaded and initialized

    
  }

  public static function toString($x) { 
    
    
    // --- BLOCK: main ---
    return is_null($x) ? '-' : (self::$values[$x] ?? '');
    
  }

  public static function toStringShort($x) { 
    
    
    // --- BLOCK: main ---
    return is_null($x) ? '-' : self::$valuesShort[$x];
    
  }

  public static function parse($x) { 
    
    
    // --- BLOCK: main ---
    
		$result = array_search($x, self::$values);
		if ($result !== false) return $result;
		$result = array_search($x, self::$valuesShort);
		if ($result !== false) return $result;
		return null;
    
  }

  public static function initialize() { 
    
    
    // --- BLOCK: values ---
    
		self::$values[22] = _('Bar-Einzahlung');
	self::$values[21] = _('Bank-Einzahlung');
	self::$values[23] = _('Scheck-Einzahlung');
	self::$values[23] = _('Erlass einer Forderung');
	self::$values[19] = _('Bar-Auszahlung');
	self::$values[18] = _('Bank-Auszahlung');
	self::$values[11] = _('Mitgliedsbeitrag');
	self::$values[12] = _('Geldsammlung');
	
    // --- BLOCK: valuesShort ---
    
		self::$valuesShort[22] = _('Bar-Einzahlung');
	self::$valuesShort[21] = _('Bank-Einzahlung');
	self::$valuesShort[23] = _('Scheck-Einzahlung');
	self::$valuesShort[23] = _('Erlass einer Forderung');
	self::$valuesShort[19] = _('Bar-Auszahlung');
	self::$valuesShort[18] = _('Bank-Auszahlung');
	self::$valuesShort[11] = _('Mitgliedsbeitrag');
	self::$valuesShort[12] = _('Geldsammlung');
	
    
  }


  
  

  
  
}

\Types\MitgliedBuchungTyp::initialize(); 

